# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-nagiosplugin
Version:        1.0.0
Release:        1%{?dist}
Summary:        Library which helps writing Nagios (or Icinga) compatible plugins easily

License:        ZPLv2.1
URL:            https://projects.gocept.com/projects/nagiosplugin/wiki
Source0:        https://pypi.python.org/packages/source/n/nagiosplugin/nagiosplugin-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
nagiosplugin is a Python class library which helps writing Nagios
(or Icinga) compatible plugins easily in Python.
It cares for much of the boilerplate code and default 
logic commonly found in Nagios checks, including:
- Nagios 3 Plugin API compliant parameters and output formatting
- Full Nagios range syntax support
- Automatic threshold checking
- Multiple independent measures
- Custom status line to communicate the main point quickly
- Long output and performance data
- Timeout handling
- Persistent "cookies" to retain state information between check runs
- Resume log file processing at the point where the last run left
- No dependencies beyond the Python standard library.


%prep
%setup -q -n nagiosplugin-%{version}
# move away examples from src dir and put them to doc dir
%{__mv} %{_builddir}/nagiosplugin-%{version}/src/nagiosplugin/examples \
        %{_builddir}/nagiosplugin-%{version}
# corrects wrong shebang in examples
for example in %{_builddir}/nagiosplugin-%{version}/examples/*.py; do
 %{__sed} -i 's/\#\!/\#\!\/usr\/bin\//1' $example
 %{__chmod} a-x $example
done


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc doc HACKING.txt HISTORY.txt LICENSE.txt README.txt examples
%{python_sitelib}/*


%changelog
* Wed May 29 2013 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 1.0.0-1
- Initial release

